#
# Conditional build:
%bcond_without	tests		# build without tests

%define		php_name	php%{?php_suffix}
%define		modname	tcpwrap
%define		status		stable
Summary:	%{modname} - tcpwrapper bindings
Summary(pl.UTF-8):	%{modname} - dowiązania tcpwrapper
Name:		%{php_name}-pecl-%{modname}
Version:	1.1.3
Release:	10
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	6db26ebbf6c59fedf2228e662fe78e3e
Patch0:		branch.diff
URL:		http://pecl.php.net/package/tcpwrap/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	libwrap-devel
BuildRequires:	rpmbuild(macros) >= 1.650
%{?with_tests:BuildRequires:	%{php_name}-cli}
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-tcpwrap < 1.1.3-7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package handles /etc/hosts.allow and /etc/hosts.deny files.

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
Za pomocą tego pakietu możliwa jest obsługa plików /etc/hosts.allow
oraz /etc/hosts.deny.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .
%patch0 -p0

%build
phpize
%configure
%{__make}

%if %{with tests}
# simple module load test
%{__php} -n \
	-dextension_dir=modules \
	-dextension=%{modname}.so \
	-m > modules.log
grep %{modname} modules.log
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS EXPERIMENTAL
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sat Oct 28 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-tcpwrap.git;a=log;h=auto/th/php-pecl-tcpwrap-1.1.3-10

* Thu Nov 05 2015 Elan Ruusamäe <glen@delfi.ee> 7de338e
- php 7.0 RC6 rebuild
- release 10 (by relup.sh)

* Wed Jun 11 2014 Elan Ruusamäe <glen@delfi.ee> 95e4d0e
- add module load test

* Wed Jun 11 2014 Elan Ruusamäe <glen@delfi.ee> 4e80978
- add branch.diff, fixes build on php 5.5

* Sat May 17 2014 Elan Ruusamäe <glen@delfi.ee> 273530a
- fix obsoletes version
- release 8 (by relup.sh)

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 6f9a37f
- obsolete old php name
- release 7 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> e9bf57c
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 5157b54
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 1db9d72
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> a4619b1
- release 4 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c2da71b
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 667cf3f
- release 2

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 22d8549
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Sat Jul 19 2008 Adam Gołębiowski <adamg@pld-linux.org> 2fdfbc0
- updated to 1.1.3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ae16c3f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0141dbf
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 0ed376d
- use new php extension related macros

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 5948c62
- BR rpmmacros for fixed %requires_php_extension

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 539e837
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 0efcb7d
- conf.d and php api macros

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 33c1a25
- superfluous BR libtool removed

